package com.ruoyi.mesInfo.service;

import java.util.List;
import com.ruoyi.mesInfo.domain.MesInfo;

/**
 * mes装机信息卡Service接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public interface IMesInfoService
{
    /**
     * 查询mes装机信息卡
     * 
     * @param keyId mes装机信息卡主键
     * @return mes装机信息卡
     */
    public MesInfo selectMesInfoByKeyId(Long keyId);

    /**
     * 查询mes装机信息卡列表
     * 
     * @param mesInfo mes装机信息卡
     * @return mes装机信息卡集合
     */
    public List<MesInfo> selectMesInfoList(MesInfo mesInfo);

    /**
     * 新增mes装机信息卡
     * 
     * @param mesInfo mes装机信息卡
     * @return 结果
     */
    public int insertMesInfo(MesInfo mesInfo);

    /**
     * 修改mes装机信息卡
     * 
     * @param mesInfo mes装机信息卡
     * @return 结果
     */
    public int updateMesInfo(MesInfo mesInfo);

    /**
     * 批量删除mes装机信息卡
     * 
     * @param keyIds 需要删除的mes装机信息卡主键集合
     * @return 结果
     */
    public int deleteMesInfoByKeyIds(Long[] keyIds);

    /**
     * 删除mes装机信息卡信息
     * 
     * @param keyId mes装机信息卡主键
     * @return 结果
     */
    public int deleteMesInfoByKeyId(Long keyId);

    /**
     * 获取上次处理的装机信息卡最后一条数据的位置
     * @return 结果
     */
    Long selectCheckPoint();

    /**
     * 获取当前装机信息卡最大的主键
     * @return 结果
     */
    Long getMesInfoMaxKeyId();
}
